unit PluginForm;

{
   MMB Plugin SDK
   Ported for Delphi by Burton Software
   http://www.burtonsoftware.co.uk

   Change the plugins form in this file
}

interface

uses
  Windows, Messages, Classes, Controls, Forms, ComCtrls, ShellCtrls;

type
  TMainForm = class(TForm)
    ShellTreeView1: TShellTreeView;
  private
    { Private declarations }
  protected
    procedure DestroyPlugin(var Msg: TMessage); message WM_DESTROY;
  public
    { Public declarations }
  end;

implementation

{$R *.dfm}

uses PluginInterface;

procedure TMainForm.DestroyPlugin(var Msg: TMessage);
var
  i: Integer;
begin
  for i := ComponentCount - 1 downto 0 do
  begin
    if (Components[i] is TControl) then
      TControl(Components[i]).Parent := nil;

    Components[i].Free;
  end;

  release;
  inherited;
end;

end.
