unit PluginFunctions;

{
   MMB Plugin SDK
   Ported for Delphi by Burton Software
   http://www.burtonsoftware.co.uk

   Change the plugins functions in this file
}

interface

uses Windows, Messages, PluginInterface, SysUtils;

implementation

// Default Functions

procedure Show; cdecl;
begin
  MainForm.Visible := True;
end;

procedure dir; cdecl;
var aa, aa1: boolean;
begin
  aa := FileExists(string(TextInput[1]));
  aa1 := DirectoryExists(string(TextInput[1]));
  if (aa = TRUE) or (aa1 = TRUE) then begin
    MainForm.ShellTreeView1.Root := TextInput[1];

  end;
  if (aa = FALSE) and (aa1 <> TRUE) then begin
    TextOutput := '   !';
  end;
  if (aa1 = FALSE) and (aa <> TRUE) then begin
    TextOutput := '   !'
  end;
  if TextInput[1] = ' ' then begin
    MainForm.ShellTreeView1.Root := ('rfDesktop');
  end;
  if TextInput[1] = ' ' then begin
    MainForm.ShellTreeView1.Root := ('rfMyComputer');
  end;
  if TextInput[1] = 'Documents and Settings' then begin
    MainForm.ShellTreeView1.Root := ('rfDesktopDirectory');
  end;
  if TextInput[1] = '' then begin
    MainForm.ShellTreeView1.Root := ('rfCommonPrograms');
  end;
  if TextInput[1] = '' then begin
    MainForm.ShellTreeView1.Root := ('rfFavorites');
  end;
  if TextInput[1] = '' then begin
    MainForm.ShellTreeView1.Root := ('rfInternet');
  end;
  if TextInput[1] = ' ' then begin
    MainForm.ShellTreeView1.Root := ('rfNetwork');
  end;
  if TextInput[1] = '' then begin
    MainForm.ShellTreeView1.Root := ('rfRecycleBin');
  end;
end;

procedure img_shell; cdecl;
begin
  MainForm.ShellTreeView1.UseShellImages := Boolean(NumInput[1]);
end;

procedure get_sel; cdecl;
begin
  TextOutput := string(MainForm.ShellTreeView1.Path);
end;

procedure size; cdecl;
begin
  MainForm.ShellTreeView1.Width := NumInput[1];
  MainForm.ShellTreeView1.Height := NumInput[2]
end;

procedure color; cdecl;
begin
  MainForm.ShellTreeView1.Color := GetColor(TextInput[1]);
end;

procedure win3d; cdecl;
begin
  MainForm.ShellTreeView1.Ctl3d := boolean(NumInput[1]);
end;

procedure txt_color; cdecl;
begin
  MainForm.ShellTreeView1.Font.Color := getcolor(TextInput[1]);
end;

procedure txtcolor; cdecl;
begin
  MainForm.ShellTreeView1.Font.Color := getcolor(TextInput[1]);
end;

procedure txt_font; cdecl;
begin
  MainForm.ShellTreeView1.Font.Name := TextInput[1];
end;

procedure txt_size; cdecl;
begin
  MainForm.ShellTreeView1.Font.Size := NumInput[1];
end;

procedure show_lines; cdecl;
begin
  MainForm.ShellTreeView1.ShowLines := boolean(NumInput[1]);
end;

procedure show_btn; cdecl;
begin
  MainForm.ShellTreeView1.ShowButtons := boolean(NumInput[1]);
end;

procedure show_root; cdecl;
begin
  MainForm.ShellTreeView1.ShowRoot := boolean(NumInput[1]);
end;

procedure right_menu; cdecl;
begin
  MainForm.ShellTreeView1.RightClickSelect := boolean(NumInput[1]);
end;

procedure ExecuteMMBScriptCode; cdecl;
begin
  {
           
         .  , 
    (DWORD $08C7)

         , ,   
    .   SendScriptCommand   ,
       .      
   RunScript("TestHandler")       
  , ..        TestHandler,    
     ,   .  
  }
  SendScriptCommand('RunScript("TestHandler")');
end;

exports
  Show,
  dir,
  img_shell,
  size,
  color,
  win3d,
  txtcolor,
  txt_font,
  txt_size,
  show_lines,
  show_btn,
  show_root,
  right_menu,
  get_sel,
  ExecuteMMBScriptCode
  ;
end.

